> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lev8.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search contact

> Find an email address or phone number for one contact.

Searches for one email address or phone number and returns a JSON response.

## Example

```bash theme={null}
curl "https://app.lev8.com/v1/contact-search" \
  --request POST \
  --header "Content-Type: application/json" \
  --header "x-api-key: $LEV8_API_KEY" \
  --header "Idempotency-Key: 550e8400-e29b-41d4-a716-446655440000" \
  --data '{
    "contact_type": "email",
    "objective": "Find the work email of Maggie Hoi Ning Leung, Founder & Director at Pharos Consultancy Limited. Owner signals: linkedin_url=https://www.linkedin.com/in/maggie-hoi-ning-leung-a3bb2997"
  }'
```

## Response

```json theme={null}
{
  "object": "contact_search_result",
  "request": {
    "contact_type": "email",
    "objective": "Find the work email of Maggie Hoi Ning Leung, Founder & Director at Pharos Consultancy Limited. Owner signals: linkedin_url=https://www.linkedin.com/in/maggie-hoi-ning-leung-a3bb2997"
  },
  "result": {
    "content": "maggie@example.com",
    "reference": "..."
  },
  "created_at": "2026-07-29T00:00:00Z"
}
```

See [Contact Search](/api-reference/contact-search) for objective guidance, billing behavior, and errors.


## OpenAPI

````yaml POST /v1/contact-search
openapi: 3.1.0
info:
  title: lev8 API
  version: '1.0'
  license:
    name: Proprietary
    identifier: LicenseRef-Proprietary
servers:
  - url: https://app.lev8.com
security:
  - ApiKeyAuth: []
paths:
  /v1/contact-search:
    post:
      summary: Search contact
      description: Find an email address or phone number for one contact.
      operationId: contactSearch
      parameters:
        - name: Idempotency-Key
          in: header
          required: false
          description: Stable key for replaying this logical lookup.
          schema:
            type: string
            maxLength: 128
            x-default: 550e8400-e29b-41d4-a716-446655440000
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactSearchRequest'
            example:
              contact_type: email
              objective: >-
                Find the work email of Maggie Hoi Ning Leung, Founder & Director
                at Pharos Consultancy Limited. Owner signals:
                linkedin_url=https://www.linkedin.com/in/maggie-hoi-ning-leung-a3bb2997
      responses:
        '200':
          description: Contact search result.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactSearchResult'
        '401':
          description: Missing or invalid API key.
        '402':
          description: Insufficient credits.
        '403':
          description: API key is forbidden or lacks Contact Search access.
        '409':
          description: >-
            Idempotency conflict or no completed response is available to
            replay.
        '422':
          description: Validation failed.
        '429':
          description: Concurrency limit reached.
        '500':
          description: Server error.
        '503':
          description: Contact Search or pricing is not enabled.
components:
  schemas:
    ContactSearchRequest:
      type: object
      additionalProperties: false
      required:
        - contact_type
        - objective
      properties:
        contact_type:
          type: string
          enum:
            - email
            - phone
          x-default: email
          example: email
        objective:
          type: string
          minLength: 1
          maxLength: 4000
          x-default: >-
            Find the work email of Maggie Hoi Ning Leung, Founder & Director at
            Pharos Consultancy Limited. Owner signals:
            linkedin_url=https://www.linkedin.com/in/maggie-hoi-ning-leung-a3bb2997
          example: >-
            Find the work email of Maggie Hoi Ning Leung, Founder & Director at
            Pharos Consultancy Limited. Owner signals:
            linkedin_url=https://www.linkedin.com/in/maggie-hoi-ning-leung-a3bb2997
    ContactSearchResult:
      type: object
      properties:
        object:
          type: string
          const: contact_search_result
        request:
          $ref: '#/components/schemas/ContactSearchRequest'
        result:
          type: object
          properties:
            content:
              type:
                - string
                - 'null'
              example: maggie@example.com
            reference:
              type:
                - string
                - 'null'
              example: ...
        created_at:
          type: string
          format: date-time
          example: '2026-07-29T00:00:00Z'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: lev8_live_...

````